* {
  margin: 0;
  padding: 0;
  scroll-behavior: smooth;
  box-sizing: border-box;
}
/* .josefin-sans-titles {
  font-family: "Josefin Sans", sans-serif;
  font-optical-sizing: auto;
  font-weight: 400;
  font-style: normal;
}
.dm-mono-regular {
  font-family: "DM Mono", monospace;
  font-weight: 400;
  font-style: normal;
} */
html,
body {
  height: 100vh;
  overflow: hidden;
}
body {
  /* background-color: #272635; */
  background: linear-gradient(0deg, #1b1a25 0%, #2f2e40 100%);
  color: #f3eff5;
}
/* Hide scrollbar for Chrome, Safari and Opera */
body::-webkit-scrollbar {
  display: none;
}

/* Hide scrollbar for IE, Edge and Firefox */
body {
  -ms-overflow-style: none; /* IE and Edge */
  scrollbar-width: none; /* Firefox */
}
.section-scroll {
  overflow: scroll;
  /* scroll-snap-type: y proximity; */
  /* scroll-snap-points-y: repeat(100vh); */
  scroll-snap-align: start;
}

/* ANIMATIONS */

@keyframes tileHover {
  from {
    scale: 1;
  }
  to {
    scale: 1.05;
  }
}
@keyframes tileHoverEnd {
  from {
    scale: 1.05;
  }
  to {
    scale: 1;
  }
}

/* HEADER STUFF */

header {
  align-content: center;
  position: relative;

  box-shadow: 0 0 8vh rgba(0, 0, 0, 0.7);
}

.header-group {
  display: grid;
  grid-template-columns: 2fr 1fr;
  grid-template-rows: repeat(4, 1fr);
  margin: 4vw;
  align-items: center;
  z-index: 100;
  width: 90vw;
  height: 50vh;
  position: absolute;
  top: 20vh;
  left: 0;
  justify-content: center;
  text-shadow: 0 0.3ch 1ch rgba(0, 0, 0, 0.5);
}
.title-group {
  grid-row: 1/5;
  display: flex;
}
.logomark {
  grid-row: 1/3;
  align-self: center;
  justify-self: left;
  height: 150px;
  padding-right: 4vw;
}
.title {
  white-space: nowrap;
}
.title--l1 {
  letter-spacing: 0.03ch;
}
.title--l2 {
  letter-spacing: -0.01ch;
}
.links-container {
  grid-row: 1/5;
}
.nav-buttons {
  display: block;
  font-size: 36px;
  padding: 3vw 1vw;
  text-align: right;
  font-family: "DM Mono", monospace;
  font-weight: 500;
  font-style: normal;
  white-space: nowrap;
  transition: all 1s ease-in-out;
}

/* BUBBLES */

:root {
  --color-bg1: #353347;
  --color-bg2: #1a1a23;
  --color1: 56, 107, 104;
  --color2: 119, 203, 185;
  --color3: 88, 86, 118;
  --color4: 247, 169, 168;
  --color5: 239, 121, 138;
  /* --color-interactive: 239, 121, 138; */
  --circle-size: 90%;
  --blending: hard-light;
}

@keyframes moveInCircle {
  0% {
    transform: rotate(0deg);
  }
  50% {
    transform: rotate(180deg);
  }
  100% {
    transform: rotate(360deg);
  }
}

@keyframes moveVertical {
  0% {
    transform: translateY(-50%);
  }
  50% {
    transform: translateY(50%);
  }
  100% {
    transform: translateY(-50%);
  }
}

@keyframes moveHorizontal {
  0% {
    transform: translateX(-50%) translateY(-10%);
  }
  50% {
    transform: translateX(50%) translateY(10%);
  }
  100% {
    transform: translateX(-50%) translateY(-10%);
  }
}

.gradient-bg {
  width: 100vw;
  height: 100vh;
  position: relative;
  overflow: hidden;
  background: linear-gradient(40deg, var(--color-bg1), var(--color-bg2));
  top: 0;
  left: 0;

  svg {
    position: fixed;
    top: 0;
    left: 0;
    width: 0;
    height: 0;
  }

  .gradients-container {
    filter: url(#goo) blur(40px);
    width: 100%;
    height: 100%;
  }

  .g1 {
    position: absolute;
    background: radial-gradient(
        circle at center,
        rgba(var(--color1), 0.5) 0,
        rgba(var(--color1), 0) 50%
      )
      no-repeat;
    mix-blend-mode: var(--blending);

    width: var(--circle-size);
    height: var(--circle-size);
    top: calc(50% - var(--circle-size) / 2);
    left: calc(50% - var(--circle-size) / 2);

    transform-origin: center center;
    animation: moveVertical 30s ease infinite;

    opacity: 1;
  }

  .g2 {
    position: absolute;
    background: radial-gradient(
        circle at center,
        rgba(var(--color2), 0.5) 0,
        rgba(var(--color2), 0) 50%
      )
      no-repeat;
    mix-blend-mode: var(--blending);

    width: var(--circle-size);
    height: var(--circle-size);
    top: calc(50% - var(--circle-size) / 2);
    left: calc(50% - var(--circle-size) / 2);

    transform-origin: calc(50% - 400px);
    animation: moveInCircle 20s reverse infinite;

    opacity: 1;
  }

  .g3 {
    position: absolute;
    background: radial-gradient(
        circle at center,
        rgba(var(--color3), 0.5) 0,
        rgba(var(--color3), 0) 50%
      )
      no-repeat;
    mix-blend-mode: var(--blending);

    width: var(--circle-size);
    height: var(--circle-size);
    top: calc(50% - var(--circle-size) / 2 + 200px);
    left: calc(50% - var(--circle-size) / 2 - 500px);

    transform-origin: calc(50% + 400px);
    animation: moveInCircle 40s linear infinite;

    opacity: 1;
  }

  .g4 {
    position: absolute;
    background: radial-gradient(
        circle at center,
        rgba(var(--color4), 0.5) 0,
        rgba(var(--color4), 0) 50%
      )
      no-repeat;
    mix-blend-mode: var(--blending);

    width: var(--circle-size);
    height: var(--circle-size);
    top: calc(50% - var(--circle-size) / 2);
    left: calc(50% - var(--circle-size) / 2);

    transform-origin: calc(50% - 200px);
    animation: moveHorizontal 40s ease infinite;

    opacity: 0.7;
  }

  .g5 {
    position: absolute;
    background: radial-gradient(
        circle at center,
        rgba(var(--color5), 0.5) 0,
        rgba(var(--color5), 0) 50%
      )
      no-repeat;
    mix-blend-mode: var(--blending);

    width: calc(var(--circle-size) * 2);
    height: calc(var(--circle-size) * 2);
    top: calc(50% - var(--circle-size));
    left: calc(50% - var(--circle-size));

    transform-origin: calc(50% - 800px) calc(50% + 200px);
    animation: moveInCircle 20s ease infinite;

    opacity: 1;
  }

  .interactive {
    position: absolute;
    background: radial-gradient(
        circle at center,
        rgba(var(--color-interactive), 0.5) 0,
        rgba(var(--color-interactive), 0) 50%
      )
      no-repeat;
    mix-blend-mode: var(--blending);

    width: 100%;
    height: 100%;
    top: -50%;
    left: -50%;

    opacity: 0.7;
  }
}
/* END BUBBLES */

/* TYPEFACES */

a:link,
a:visited {
  color: #f3eff5;
  text-decoration: none;
}

p,
.el,
.an {
  font-family: "DM Mono", monospace;
  font-weight: 400;
  font-style: normal;
  font-size: 18px;
}
h1 {
  font-family: "Josefin Sans", sans-serif;
  font-optical-sizing: auto;
  font-weight: 400;
  font-style: normal;
  font-size: 68px;
  line-height: 1.3;
}
h2 {
  padding-top: 5vh;
  font-family: "Josefin Sans", sans-serif;
  font-optical-sizing: auto;
  font-weight: 600;
  font-style: normal;
  font-size: 46px;
  margin-right: 2ch;
}
h3 {
  font-family: "Josefin Sans", sans-serif;
  font-optical-sizing: auto;
  font-weight: 400;
  font-style: normal;
  font-size: 34px;
}
h4 {
  font-family: "DM Mono", monospace;
  font-weight: 700;
  font-style: normal;
  font-size: 20px;
}
li {
  line-height: 1.5;
  font-family: "DM Mono", monospace;
  font-weight: 400;
  font-style: normal;
  font-size: 18px;
  margin-left: 4ch;
}
.content {
  margin: 5vh auto;
  justify-content: center;
  /* height: 100vh; */
  width: 70vw;
  /* scroll-snap-align: start; */
  position: relative;
}
.section-title {
  display: flex;
  justify-content: space-between;
  margin-bottom: 2em;
  white-space: nowrap;
}

.line {
  border-bottom: solid #f3eff5;
  width: 100%;
  translate: 0 -9px;
}

/* ANIMATION */

.anim-grid {
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  grid-template-rows: repeat(3, 1fr);
  gap: 1rem;
}

.an {
  background: linear-gradient(
    45deg,
    rgba(247, 169, 168, 1) 0%,
    rgba(239, 121, 138, 1) 100%
  );
  padding: 6vw;
  border-radius: 0.8vmin;
  /* text-shadow: 0ch 0.2ch 0.2ch #1b1a25; */
  box-shadow: 0ch 0.5rem 1rem #1b1a25;
  animation-name: tileHoverEnd;
  animation-duration: 0.3s;
  background-repeat: no-repeat;
  background-position: center;
  background-size: cover;
}
.an:hover {
  animation-name: tileHover;
  animation-duration: 0.3s;
  animation-fill-mode: both;
}
.an--1 {
  background-image: url(conference_booth.jpg);
}
.an--2 {
  background-image: url(anim_grid_convention-ad.jpg);
}
.an--3 {
  grid-column: 3/5;
  grid-row: 1/2;
  background-image: url(anim_grid_p2p.jpg);
}

.an--4 {
  grid-column: 1/4;
  grid-row: 2/3;
  background-image: url(2025_cprime_rebrand.jpg);
}
.an--5 {
  grid-column: 4/5;
  grid-row: 2/4;
  background-image: url(aspe_about_us.jpg);
}

.an--6 {
  background-image: url(case_study_video.jpg);
}

.an--7 {
  background-image: url(value_stream_infographic.jpg);
}

.an--8 {
  background-image: url(inry_infographic.jpg);
}

/* DESIGN */

.design-grid {
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  grid-template-rows: repeat(3, 1fr);
  gap: 1rem;
}
.el {
  background: linear-gradient(
    270deg,
    rgba(247, 169, 168, 1) 0%,
    rgba(239, 121, 138, 1) 100%
  );
  font-weight: 700;
  padding: 1vw;
  border-radius: 0.8vmin;
  box-shadow: 0ch 0.5rem 1rem #1b1a25;
  animation-name: tileHoverEnd;
  animation-duration: 0.3s;
  background-repeat: no-repeat;
  background-position: center;
  background-size: cover;
}

.full-img {
  display: flex;
  justify-self: center;
  padding-top: 0vh;
  width: 100%;
  overflow-y: auto;
}

.el:hover {
  animation-name: tileHover;
  animation-duration: 0.3s;
  animation-fill-mode: both;
}
.el--1 {
  grid-column: 1/3;
  background: linear-gradient(
    70deg,
    rgba(243, 239, 245, 1) 0%,
    rgba(217, 205, 223, 1) 100%
  );
  padding-top: 8%;
}
.el--1 img {
  height: 100%;
  position: center;
}

.el--2,
.el--5,
.el--6,
.el--8 {
  background: linear-gradient(
    70deg,
    rgba(243, 239, 245, 1) 0%,
    rgba(217, 205, 223, 1) 100%
  );
}
.el--2 img {
  width: 100%;
  position: center;
}

.el--3 {
  background-image: url(deck/Artboard\ 7-100.jpg);
}

.img-grid {
  display: flex;
  flex-wrap: wrap;
}

.img-grid .full-img {
  margin: auto;
  max-width: 50%;
  max-height: 30vh;
  object-fit: contain;
}
.el--4 {
  background: linear-gradient(
    70deg,
    rgba(243, 239, 245, 1) 0%,
    rgba(217, 205, 223, 1) 100%
  );
}

.el--4 img {
  width: 100%;
}

.el--5 img {
  width: 100%;
  padding-top: 5%;
}

#des-popup5 .full-img {
  height: 70vh;
  object-fit: contain;
}

.el--6 {
  background: linear-gradient(
    70deg,
    rgba(243, 239, 245, 1) 0%,
    rgba(217, 205, 223, 1) 100%
  );
}

.el--6 img {
  width: 100%;
  padding-top: 10%;
}

#des-popup6 .full-img {
  height: 70vh;
  object-fit: contain;
}

.el--7 {
  grid-column: 4/5;
  grid-row: 2/4;
  background-image: url(Long\ Form\ Webpage.jpg);
}

.el--8 {
  grid-column: 1/3;
  grid-row: 3/4;
}

.el--8 img {
  width: 32%;
  padding-top: 1vh;
}

.el--9 {
  background-image: url(IDing\ Stakeholders.png);
}

/* POPUP */

.box {
  width: 50%;
  margin: 0 auto;
  background: rgba(255, 255, 255, 0.2);
  padding: 3vw;
  border-radius: 20px/50px;
  background-clip: padding-box;
  text-align: center;
}

.overlay {
  position: fixed;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  background: rgba(0, 0, 0, 0.7);
  transition: opacity 500ms;
  visibility: hidden;
  opacity: 0;
  z-index: 100;
}
.overlay:target {
  visibility: visible;
  opacity: 1;
}

.popup {
  margin: 5% auto;
  padding: 3vh;
  background: #f3eff5;
  border-radius: 5px;
  width: 80%;
  max-height: 80vh;
  position: relative;
  transition: all 1s ease-in-out;
  color: #272635;
  position: relative;
  box-sizing: border-box;
  max-height: calc(100vh - 170px);
  overflow: auto;
}

.popup h2 {
  padding-top: 0;
  padding-bottom: 2vh;
}

.popup .close {
  position: absolute;
  top: 20px;
  right: 30px;
  transition: all 200ms;
  font-size: 30px;
  font-weight: bold;
  text-decoration: none;
  color: #272635;
}
.popup .close:hover {
  color: rgba(239, 121, 138, 1) 100%;
}

/* POPUP END */

/* RESUME */

.res-title {
  margin-top: 3ch;
  margin-bottom: 1ch;
}

.res-subtitle {
  display: flex;
  margin-bottom: 1ch;
  justify-content: space-between;
}

.res-content {
  margin-bottom: 2ch;
}
.res-date {
  white-space: nowrap;
}

.core-list {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  grid-template-rows: repeat(3, 1fr);
  margin-bottom: 5ch;
}
.job-exp {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  grid-template-rows: repeat(2fr);
}
.exp {
  padding-bottom: 3ch;
  padding-right: 10ch;
  padding-top: 3ch;
}

/* CONTACT */

.contact-stuff {
  display: flex;
  justify-content: space-around;
  align-items: center;
}

.contact-stuff img {
  width: 25%;
}

.contact-stuff h3 {
  padding-bottom: 1vh;
}
.contact-stuff h4 {
  letter-spacing: 0.1ch;
  padding-bottom: 2vh;
}

/* RESPONSIVE SIZES */

@media (max-width: 1400px) {
  .content {
    width: 90%;
  }
  p,
  .el,
  .an {
    font-size: 16px;
  }
  h1 {
    font-size: 55px;
  }
  h2 {
    font-size: 36px;
    margin-right: 2ch;
  }
  h3 {
    font-size: 28px;
  }
  h4 {
    font-size: 16px;
  }
  li {
    font-size: 16px;
  }
  .logomark {
    height: 90px;
  }
  .nav-buttons:link,
  .nav-buttons:visited {
    font-size: 26px;
  }
  .design-grid {
    grid-template-columns: repeat(3, 1fr);
    grid-template-rows: repeat(4, 1fr);
  }
  .el--7 {
    grid-column: 3/4;
    grid-row: 3/5;
  }
  .anim-grid {
    grid-template-columns: repeat(3, 1fr);
    grid-template-rows: repeat(4, 1fr);
  }
  .an--3 {
    grid-column: 3/4;
    grid-row: 1/3;
  }
  .an--4 {
    grid-column: 1/3;
    grid-row: 2/3;
  }
  .an--5 {
    grid-column: 1/4;
    grid-row: 3/4;
  }
}
@media (max-width: 1200px) {
  p,
  .el,
  .an {
    font-size: 14px;
  }
  h1 {
    font-size: 46px;
  }
  h2 {
    font-size: 32px;
    margin-right: 2ch;
  }
  h3 {
    font-size: 26px;
  }
  h4 {
    font-size: 14px;
  }
  li {
    font-size: 14px;
  }
  .logomark {
    height: 85px;
  }
  .nav-buttons:link,
  .nav-buttons:visited {
    font-size: 22px;
  }

  @media (max-width: 950px) {
    p,
    .el,
    .an {
      font-size: 12px;
    }
    h1 {
      font-size: 36px;
    }
    h2 {
      font-size: 28px;
      margin-right: 2ch;
    }
    h3 {
      font-size: 24px;
    }
    h4 {
      font-size: 12px;
    }
    li {
      font-size: 12px;
    }
    .nav-buttons:link,
    .nav-buttons:visited {
      font-size: 18px;
    }
    .header-group {
      display: grid;
      grid-template-columns: repeat(4, 1fr);
      grid-template-rows: 2fr 1fr 1fr;
    }
    .links-container {
      grid-row: 3/4;
      grid-column: 1/5;
      display: flex;
      justify-content: space-between;
    }
    .title-group {
      grid-column: 1/5;
      align-self: left;
    }
    .logomark {
      height: 70px;
    }
  }
  @media (max-width: 550px) {
    p,
    .el,
    .an {
      font-size: 10px;
    }
    h1 {
      font-size: 6vw;
    }
    h2 {
      font-size: 24px;
      margin-right: 2ch;
    }
    h3 {
      font-size: 18px;
    }
    h4 {
      font-size: 10px;
    }
    li {
      font-size: 10px;
    }
    .nav-buttons:link,
    .nav-buttons:visited {
      font-size: 14px;
    }
    .header-group {
      grid-template-columns: repeat(4, 1fr);
      grid-template-rows: 2fr 1fr 1fr;
    }
    .title-group {
      grid-column: 1/5;
      align-self: left;
    }
    .logomark {
      height: 10vw;
    }
    .job-exp {
      display: block;
    }
    .exp {
      padding-bottom: 3ch;
      padding-right: 3ch;
    }
  }
  @media (max-width: 400px) {
    p,
    .el,
    .an {
      font-size: 10px;
    }
    /* h1 {
      font-size: 24px;
    } */
    h2 {
      font-size: 24px;
      margin-right: 2ch;
    }
    h3 {
      font-size: 18px;
    }
    h4 {
      font-size: 10px;
    }
    li {
      font-size: 10px;
    }
    .links-container {
      display: grid;
      grid-template-columns: 1fr 1fr;
      grid-template-rows: 1fr 1fr;
    }
    .nav-buttons:link,
    .nav-buttons:visited {
      font-size: 14px;
      white-space: inherit;
      justify-self: left;
    }

    .header-group {
      grid-template-columns: repeat(4, 1fr);
      grid-template-rows: 2fr 1fr 1fr;
    }
    .title-group {
      grid-column: 1/5;
      align-self: left;
    }
  }
}
